"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Workflow = void 0;
const path_1 = require("path");
const fs_1 = require("fs");
const _1 = require("./");
const yaml_1 = require("yaml");
class Workflow {
    static createWorkflow() {
        return new _1.WorkflowBuilder();
    }
    static saveWorkflow(workflow, fileName, cb) {
        const dirPath = ['.github', 'workflows'];
        if (!(0, fs_1.existsSync)((0, path_1.resolve)(...dirPath))) {
            (0, fs_1.mkdirSync)((0, path_1.resolve)(...dirPath), { recursive: true });
        }
        const data = (0, yaml_1.stringify)(workflow);
        const path = (0, path_1.resolve)(...dirPath, `${fileName}.yml`);
        if (cb) {
            (0, fs_1.writeFile)(path, data, cb);
        }
        else {
            (0, fs_1.writeFileSync)(path, data);
        }
    }
}
exports.Workflow = Workflow;
